summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-08-13 19:10:50 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-08-13 19:10:50 +0000
commit25370095067f19290f7468c4b699cd269785b89d (patch)
tree7ac4d86abe5272378e48f9ca03c639251c2b52ee
parente951c79c4f71be4859925b04a7c6f01b5dc2ae39 (diff)
round-robin.sh: Fix baseline/manifest workaround
We need to generate from manifest base-artifacts/baseline, not artifacts/baseline. Change-Id: I773ba3d4446b9a41ad35aedc6ab35d0c4c7a590b
-rw-r--r--round-robin.sh22
1 files changed, 10 insertions, 12 deletions
diff --git a/round-robin.sh b/round-robin.sh
index 4ed14483..af8c4030 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -138,17 +138,9 @@ reset_artifacts ()
rr[base-artifacts_rev]=$(git -C base-artifacts rev-parse HEAD)
EOF
- local baseline_dir=${rr[top_artifacts]}/baseline
- if [ -d base-artifacts/baseline/ ]; then
- # Copy baseline git_url/git_rev settings into the current build,
- # which will then be overwritten in due course by clone_repo()
- # of various components.
- # Note that we need to copy the whole directory to correctly handle
- # builds that fail before all their components are checked out.
- rsync -a base-artifacts/baseline/ $baseline_dir/
- else
+ if ! [ -d base-artifacts/baseline/ ]; then
# E.g., we are in "init" mode of update_baseline.
- mkdir $baseline_dir
+ mkdir base-artifacts/baseline
# Transitional workaround
# Extract baseline from manifest of baseline build
@@ -176,12 +168,18 @@ EOF
echo "${rr[${c}_url]}"
else
print_baseline_repo "$project" true
- fi > $baseline_dir/${c}_url
+ fi > base-artifacts/baseline/${c}_url
- echo "${rr[${c}_rev]}" > $baseline_dir/${c}_rev
+ echo "${rr[${c}_rev]}" > base-artifacts/baseline/${c}_rev
done
)
fi
+ # Copy baseline git_url/git_rev settings into the current build,
+ # which will then be overwritten in due course by clone_repo()
+ # of various components.
+ # Note that we need to copy the whole directory to correctly handle
+ # builds that fail before all their components are checked out.
+ rsync -a base-artifacts/baseline/ ${rr[top_artifacts]}/baseline/
)
}